### Type parameters

- #### T

- #### R

- #### O: QueryResponse<T> | ScanResponse<T>

### Hierarchy

- Pageable

### Implemented by

- QueryRequest
- ScanRequest

## Index

### Methods

- exclusiveStartKey
- execCount
- execFullResponse
- limit

## Methods

### exclusiveStartKey

- exclusiveStartKey(key: Key | null): R

- - Defined in dynamo/paged/pageable.ts:9

  #### Parameters

  - ##### key: Key | null

  #### Returns R

### execCount

- execCount(): Observable<number>

- - Defined in dynamo/paged/pageable.ts:10

  #### Returns Observable<number>

### execFullResponse

- execFullResponse(): Observable<O>

- - Defined in dynamo/paged/pageable.ts:11

  #### Returns Observable<O>

### limit

- limit(limit: number): R

- - Defined in dynamo/paged/pageable.ts:8

  #### Parameters

  - ##### limit: number

  #### Returns R

Generated using TypeDoc